require 'activerecord-define_nils'

module ActiveRecordDefineNils
  class Railtie < Rails::Railtie
    initializer "define_nils.active_record" do
      ActiveSupport.on_load(:active_record) do
        if Rails::VERSION::MAJOR == 4
          if Rails::VERSION::MINOR < 2
            include ::ActiveRecordDefineNils::EarlyRails4Model
          else
            include ::ActiveRecordDefineNils::Model
          end
        elsif Rails::VERSION::MAJOR == 3 
          include ::ActiveRecordDefineNils::Rails3Model
        end
      end
    end
  end
end
